/*
 * (C) Copyright 2015-2021, by Fabian Späh and Contributors.
 *
 * JGraphT : a free Java graph-theory library
 *
 * See the CONTRIBUTORS.md file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0, or the
 * GNU Lesser General Public License v2.1 or later
 * which is available at
 * http://www.gnu.org/licenses/old-licenses/lgpl-2.1-standalone.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR LGPL-2.1-or-later
 */
package org.jgrapht.alg.util;

import java.util.*;

/**
 * A default implementation for a check on equality (that always holds)
 *
 * @param <T> type of elements to be compared
 * @deprecated use a lambda like {@code (t1,t2) -> 0} instead
 */
@Deprecated(forRemoval = true, since = "1.5.1")
public class AlwaysEqualComparator<T>
    implements
    Comparator<T>
{
    @Override
    public int compare(T arg0, T arg1)
    {
        return 0;
    }
}
